Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.content
Class AbstractContent

    java.lang.Object
      org.jboss.portal.core.impl.model.content.AbstractContent

All Implemented Interfaces:
  Content

Direct Known Subclasses:
  GenericContent, PortletContent

    public abstract class AbstractContent

extends java.lang.Object
implements Content

Version:
  $Revision: 11168 $
Author:
  Julien Viet

Field Summary
`protected ContentState` | `state` .

Constructor Summary
`AbstractContent(ContentState state)`

Method Summary
`void` | `clearParameters()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Iterator<java.lang.String>` | `getParameterNames()`
`java.lang.String` | `getURI()` Returns the content URI.
`boolean` | `isMutable()` Returns true if the content state can be changed.
`void` | `setParameter(java.lang.String name, java.lang.String value)`
`void` | `setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)`
`void` | `setURI(java.lang.String uri)` Updates the content URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.content.Content
`getDisplayName`

Field Detail

### state

    protected final ContentState state

  .

Constructor Detail

### AbstractContent

    public AbstractContent(ContentState state)

Method Detail

### isMutable

    public boolean isMutable()

  Description copied from interface: `Content`
  Returns true if the content state can be changed.

  Specified by:
    `isMutable` in interface `Content`
  Returns:
    true if the content state can be changed

### getURI

    public java.lang.String getURI()

  Description copied from interface: `Content`
  Returns the content URI.

  Specified by:
    `getURI` in interface `Content`
  Returns:
    the content URI

### setURI

    public void setURI(java.lang.String uri)

  Description copied from interface: `Content`
  Updates the content URI.

  Specified by:
    `setURI` in interface `Content`
  Parameters:
    `uri` - the new content URI value

### clearParameters

    public void clearParameters()

  Specified by:
    `clearParameters` in interface `Content`

### getParameter

    public java.lang.String getParameter(java.lang.String name)
                                  throws java.lang.IllegalArgumentException

  Specified by:
    `getParameter` in interface `Content`
  Throws:
    `java.lang.IllegalArgumentException`

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.String value)
                      throws java.lang.IllegalArgumentException

  Specified by:
    `setParameter` in interface `Content`
  Throws:
    `java.lang.IllegalArgumentException`

### setParameters

    public void setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)
                       throws java.lang.IllegalArgumentException

  Specified by:
    `setParameters` in interface `Content`
  Throws:
    `java.lang.IllegalArgumentException`

### getParameterNames

    public java.util.Iterator<java.lang.String> getParameterNames()

  Specified by:
    `getParameterNames` in interface `Content`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD